# Uses of Interface
com.sun.source.tree.SwitchExpressionTree

Packages that use SwitchExpressionTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SwitchExpressionTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type SwitchExpressionTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitSwitchExpression​(SwitchExpressionTree node, P p)`
Visits a SwitchExpressionTree node.

## Uses of SwitchExpressionTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type SwitchExpressionTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitSwitchExpression​(SwitchExpressionTree node, P p)`
Visits a SwitchExpressionTree node.
`R`
TreeScanner.`visitSwitchExpression​(SwitchExpressionTree node, P p)`
Visits a SwitchExpressionTree node.